Skip to main content

Sign a binary message with wallet signature key

POST 

/api/v1/crypto/wallet/:walletId/signature/sign/binary

Signs a binary message using the wallet's private signature key.

Request​

Path Parameters

    walletId numberrequired

    Wallet identifier

Body

required

    message stringrequired

    The binary message to be signed, encoded according to messageEncoding

    messageEncoding string

    Possible values: [hex, base64, base64url]

    Default value: hex

    Encoding format of the input message

    signatureEncoding string

    Possible values: [hex, base64, base64url]

    Default value: hex

    Desired encoding format for the returned signature

Responses​

Signature verification result.

Schema

    verified boolean
Loading...